<?php
if ($argc > 4) {
    echo "Invalid arguments!\n\n";
    echo "Usage: php $argv[0] -(r|p) domain url
    -r method option: Refresh cache (use stale cache while updating cache)
    -p method option: Purge cache (delete cache entry)
    domain: required parameter for domain name
    url: required parameter for url
";
    exit;
}
if ($argv[1] == '-p') {
    $method = "PURGE";
} else if ($argv[1] == '-r') {
    $method = "REFRESH";
} else {
    echo "ERROR: unknown or missing method option";
    exit;
}
$domain = $argv[2];
$url    = $argv[3];
$fp = fsockopen('127.0.0.1', 80, $errno, $errstr, 2);
if (!$fp) {
    echo "$errstr ($errno)\n";
} else {
    $out = "$method $url HTTP/1.0\r\n"
        . "Host: $domain\r\n"
        . "Connection: Close\r\n\r\n";
    fwrite($fp, $out);
    while (!feof($fp)) {
        echo fgets($fp, 128);
    }
    fclose($fp);
}
